## util-say-3.2.1.zip?b=u

=== Makefile ===
PREFIX=/usr
BIN=/bin
DATA=/share

JAR=jar
JAVAC=javac

SRC=$(shell find src | grep '\.java$$')
OBJ=$(shell find src | grep '\.java$$' | sed -e 's_/[a-zA-Z]*\.java$$_/\*\.class_g' -e 's_^src/__g' | sort | uniq)

all: util-say.jar info

.PHONY: util-say.jar
util-say.jar:
	"$(JAVAC)" -O -cp src -s src -d . $(SRC) -encoding UTF-8
	"$(JAR)" -cfm "$@" "META-INF/MANIFEST.MF" $(OBJ)


info: util-say.info.gz
%.info: %.texinfo
	$(MAKEINFO) "$<"
%.info.gz: %.info
	gzip -9c < "$<" > "$@"


pdf: util-say.pdf
%.pdf: %.texinfo
	texi2pdf "$<"

pdf.gz: util-say.pdf.gz
%.pdf.gz: %.pdf
	gzip -9c < "$<" > "$@"

pdf.xz: util-say.pdf.xz
%.pdf.xz: %.pdf
	xz -e9 < "$<" > "$@"


dvi: util-say.dvi
%.dvi: %.texinfo
	$(TEXI2DVI) "$<"

dvi.gz: util-say.dvi.gz
%.dvi.gz: %.dvi
	gzip -9c < "$<" > "$@"

dvi.xz: util-say.dvi.xz
%.dvi.xz: %.dvi
	xz -e9 < "$<" > "$@"


install: util-say.jar util-say.info.gz
	install -d -m 755 "$(DESTDIR)$(PREFIX)$(BIN)"
	install -m 755 util-say.jar "$(DESTDIR)$(PREFIX)$(BIN)"
	install -m 755 img2{pony,uni,cow}say "$(DESTDIR)$(PREFIX)$(BIN)"
	install -m 755 {pony,uni,cow}say2img "$(DESTDIR)$(PREFIX)$(BIN)"
	install -m 755 ponysay2ttyponysay "$(DESTDIR)$(PREFIX)$(BIN)"
	ln -sf ponysay2ttyponysay "$(DESTDIR)$(PREFIX)$(BIN)"/tty2colourfultty
	ln -sf /usr/bin/cat "$(DESTDIR)$(PREFIX)$(BIN)"/unzebra
	install -m 755 ponytool "$(DESTDIR)$(PREFIX)$(BIN)"
	install -d -m 755 "$(DESTDIR)$(PREFIX)$(DATA)/licenses/util-say"
	install -m 644 LICENSE COPYING "$(DESTDIR)$(PREFIX)$(DATA)/licenses/util-say"
	install -d -m 755 "$(DESTDIR)$(PREFIX)$(DATA)/info"
	install -m 644 util-say.info.gz "$(DESTDIR)$(PREFIX)$(DATA)/info"


uninstall:
	unlink "$(DESTDIR)$(PREFIX)$(BIN)/util-say.jar"
	unlink "$(DESTDIR)$(PREFIX)$(BIN)/ponytool"
	unlink "$(DESTDIR)$(PREFIX)$(DATA)/info/util-say.info.gz"
	rm -- "$(DESTDIR)$(PREFIX)$(BIN)/"img2{pony,uni,cow}say
	rm -- "$(DESTDIR)$(PREFIX)$(BIN)/"{pony,uni,cow}say2img
	rm -- "$(DESTDIR)$(PREFIX)$(BIN)/"ponysay2ttyponysay
	rm -- "$(DESTDIR)$(PREFIX)$(BIN)/"tty2colourfultty
	rm -- "$(DESTDIR)$(PREFIX)$(BIN)/"unzebra
	yes | rm -r "$(DESTDIR)$(PREFIX)$(DATA)/licenses/util-say"


.PHONY: clean
clean:
	yes | rm -r se || true
	rm util-say.jar || true
	rm *.{info,pdf,ps,dvi}{,.*} || true
	rm *.{aux,cp,cps,fn,ky,log,op,ops,pg,toc,tp,vr} || true

=== dist/archlinux/bleeding/PKGBUILD ===
# Maintainer: Mattias Andrée <`base64 -d`(bWFhbmRyZWUK)@member.fsf.org>
pkgname=util-say-git
pkgver=20130405.2
pkgrel=1
pkgdesc="Tools for creating ponies for cowsay and cowsay-like programs"
arch=('any')
url="https://github.com/maandree/util-say"
license=('GPL3')
depends=('java-runtime>=6')
makedepends=('git' 'java-environment>=6' 'bash')
optdepends=('imagemagick: allows imgsrcrecovery to read frames in GIF files' 'perl: required for cowsay import support')
provides=('util-say')
conflicts=('util-say')

_gitroot=https://github.com/maandree/util-say.git
_gitname=util-say

build() {
  cd "$srcdir"
  msg "Connecting to GIT server...."

  if [[ -d "$_gitname" ]]; then
    cd "$_gitname" && git pull origin
    msg "The local files are updated."
  else
    git clone "$_gitroot" "$_gitname"
  fi

  msg "GIT checkout done or server timeout"
  msg "Starting build..."

  rm -rf "$srcdir/$_gitname-build"
  git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
  cd "$srcdir/$_gitname-build"

  make -B DESTDIR="$pkgdir/"
}

package() {
  cd "$srcdir/$_gitname-build"
  make DESTDIR="$pkgdir/" install
}

=== dist/archlinux/stable/PKGBUILD ===
# Maintainer: Mattias Andrée <`base64 -d`(bWFhbmRyZWUK)@member.fsf.org>
pkgname=util-say
pkgver=3.2
pkgrel=1
pkgdesc="Tools for creating ponies for cowsay and cowsay-like programs"
arch=('any')
url="https://github.com/maandree/util-say"
license=('GPL3')
depends=('java-runtime>=6')
makedepends=('java-environment>=6' 'bash')
optdepends=('imagemagick: allows imgsrcrecovery to read frames in GIF files' 'perl: required for cowsay import support')
provides=('util-say')
conflicts=('util-say')
source=(https://github.com/maandree/util-say/tarball/$pkgver)
md5sums=(188b5d178bc2c3dc01ad870f433ce110)

build() {
  cd maandree-util-say-*
  make -B DESTDIR="$pkgdir/"
}

package() {
  cd maandree-util-say-*
  make DESTDIR="$pkgdir/" install
}
